KToggleAction Class Reference

`#include <kactionclasses.h>`

Inheritance diagram for KToggleAction:

## Public Slots

virtual void | setChecked (bool)
Public Slots inherited from KAction
virtual void | setText (const QString &text)
virtual bool | setShortcut (const KShortcut &)
virtual void | setGroup (const QString &)
virtual void | setWhatsThis (const QString &text)
virtual void | setToolTip (const QString &)
virtual void | setIconSet (const QIconSet &iconSet)
virtual void | setIcon (const QString &icon)
virtual void | setEnabled (bool enable)
void | setDisabled (bool disable)
virtual void | setShortcutConfigurable (bool)
virtual void | activate ()

## Signals

void | toggled (bool)
Signals inherited from KAction
void | activated ()
void | activated (KAction::ActivationReason reason, Qt::ButtonState state)
void | enabled (bool)

## Public Member Functions

| KToggleAction (const QString &text, const KShortcut &cut=KShortcut(), QObject *parent=0, const char *name=0)
| KToggleAction (const QString &text, const KShortcut &cut, const QObject *receiver, const char *slot, QObject *parent, const char *name=0)
| KToggleAction (const QString &text, const QIconSet &pix, const KShortcut &cut=KShortcut(), QObject *parent=0, const char *name=0)
| KToggleAction (const QString &text, const QString &pix, const KShortcut &cut=KShortcut(), QObject *parent=0, const char *name=0)
| KToggleAction (const QString &text, const QIconSet &pix, const KShortcut &cut, const QObject *receiver, const char *slot, QObject *parent, const char *name=0)
| KToggleAction (const QString &text, const QString &pix, const KShortcut &cut, const QObject *receiver, const char *slot, QObject *parent, const char *name=0)
| KToggleAction (QObject *parent=0, const char *name=0)
virtual | ~KToggleAction ()
virtual int | plug (QWidget *widget, int index=-1)
bool | isChecked () const
QString | exclusiveGroup () const
virtual void | setExclusiveGroup (const QString &name)
void | setCheckedState (const KGuiItem &checkedItem)
virtual QString | toolTip () const
Public Member Functions inherited from KAction
| KAction (const QString &text, const KShortcut &cut, const QObject *receiver, const char *slot, KActionCollection *parent, const char *name)
| KAction (const QString &text, const QIconSet &pix, const KShortcut &cut, const QObject *receiver, const char *slot, KActionCollection *parent, const char *name)
| KAction (const QString &text, const QString &pix, const KShortcut &cut, const QObject *receiver, const char *slot, KActionCollection *parent, const char *name)
| KAction (const KGuiItem &item, const KShortcut &cut, const QObject *receiver, const char *slot, KActionCollection *parent, const char *name)
| KAction (const QString &text, const KShortcut &cut=KShortcut(), QObject *parent=0, const char *name=0)
| KAction (const QString &text, const KShortcut &cut, const QObject *receiver, const char *slot, QObject *parent, const char *name=0)
| KAction (const QString &text, const QIconSet &pix, const KShortcut &cut=KShortcut(), QObject *parent=0, const char *name=0)
| KAction (const QString &text, const QString &pix, const KShortcut &cut=KShortcut(), QObject *parent=0, const char *name=0)
| KAction (const QString &text, const QIconSet &pix, const KShortcut &cut, const QObject *receiver, const char *slot, QObject *parent, const char *name=0)
| KAction (const QString &text, const QString &pix, const KShortcut &cut, const QObject *receiver, const char *slot, QObject *parent, const char *name=0)
| KAction (QObject *parent=0, const char *name=0)
virtual | ~KAction ()
virtual void | plugAccel (KAccel *accel, bool configurable=true) KDE_DEPRECATED
virtual void | unplug (QWidget *w)
virtual void | unplugAccel () KDE_DEPRECATED
virtual bool | isPlugged () const
bool | isPlugged (const QWidget *container) const
virtual bool | isPlugged (const QWidget *container, int id) const
virtual bool | isPlugged (const QWidget *container, const QWidget *_representative) const
QWidget * | container (int index) const
int | itemId (int index) const
QWidget * | representative (int index) const
int | containerCount () const
uint | kaccelCount () const
virtual bool | hasIcon () const
bool | hasIconSet () const
virtual QString | plainText () const
virtual QString | text () const
virtual const KShortcut & | shortcut () const
virtual const KShortcut & | shortcutDefault () const
QString | shortcutText () const
void | setShortcutText (const QString &)
virtual bool | isEnabled () const
virtual bool | isShortcutConfigurable () const
virtual QString | group () const
virtual QString | whatsThis () const
virtual QIconSet | iconSet (KIcon::Group group, int size=0) const
QIconSet | iconSet () const
virtual QString | icon () const
KActionCollection * | parentCollection () const
void | unplugAll ()
int | accel () const KDE_DEPRECATED
QString | statusText () const
void | setAccel (int key) KDE_DEPRECATED
void | setStatusText (const QString &text)
int | menuId (int i)

## Protected Slots

virtual void | slotActivated ()
Protected Slots inherited from KAction
virtual void | slotDestroyed ()
virtual void | slotKeycodeChanged ()
virtual void | slotActivated ()
void | slotPopupActivated ()
void | slotButtonClicked (int, Qt::ButtonState state)

## Protected Member Functions

virtual void | updateChecked (int id)
virtual void | virtual_hook (int id, void *data)
Protected Member Functions inherited from KAction
KToolBar * | toolBar (int index) const
QPopupMenu * | popupMenu (int index) const
void | removeContainer (int index)
int | findContainer (const QWidget *widget) const
int | findContainer (int id) const
void | plugMainWindowAccel (QWidget *w)
void | addContainer (QWidget *parent, int id)
void | addContainer (QWidget *parent, QWidget *representative)
virtual void | updateShortcut (int i)
virtual void | updateShortcut (QPopupMenu *menu, int id)
virtual void | updateGroup (int id)
virtual void | updateText (int i)
virtual void | updateEnabled (int i)
virtual void | updateIconSet (int i)
virtual void | updateIcon (int i)
virtual void | updateToolTip (int id)
virtual void | updateWhatsThis (int i)
QString | whatsThisWithIcon () const
const KGuiItem & | guiItem () const

## Properties

bool | checked
QString | exclusiveGroup
Properties inherited from KAction
int | containerCount
QString | plainText
QString | text
QString | shortcut
bool | enabled
QString | group
QString | whatsThis
QString | toolTip
QString | icon

## Additional Inherited Members

Public Types inherited from KAction
enum | ActivationReason { UnknownActivation, EmulatedActivation, AccelActivation, PopupMenuActivation, ToolBarActivation }
Static Public Member Functions inherited from KAction
static int | getToolButtonID ()
Protected Attributes inherited from KAction
KActionCollection * | m_parentCollection

## Detailed Description

Checkbox like action.

Checkbox like action.

This action provides two states: checked or not.

Definition at line 68 of file kactionclasses.h.

## Constructor & Destructor Documentation

KToggleAction::KToggleAction | ( | const QString & | text,
|  | const KShortcut & | cut = `KShortcut()`,
|  | QObject * | parent = `0`,
|  | const char * | name = `0`
| ) |  |

Constructs a toggle action with text and potential keyboard accelerator but nothing else.

Use this only if you really know what you are doing.

Parameters

  text | The text that will be displayed.
  cut | The corresponding keyboard accelerator (shortcut).
  parent | This action's parent.
  name | An internal name for this action.

Definition at line 71 of file kactionclasses.cpp.

KToggleAction::KToggleAction | ( | const QString & | text,
|  | const KShortcut & | cut,
|  | const QObject * | receiver,
|  | const char * | slot,
|  | QObject * | parent,
|  | const char * | name = `0`
| ) |  |

Parameters

  text | The text that will be displayed.
  cut | The corresponding keyboard accelerator (shortcut).
  receiver | The SLOT's parent.
  slot | The SLOT to invoke to execute this action.
  parent | This action's parent.
  name | An internal name for this action.

Definition at line 79 of file kactionclasses.cpp.

KToggleAction::KToggleAction | ( | const QString & | text,
|  | const QIconSet & | pix,
|  | const KShortcut & | cut = `KShortcut()`,
|  | QObject * | parent = `0`,
|  | const char * | name = `0`
| ) |  |

Parameters

  text | The text that will be displayed.
  pix | The icons that go with this action.
  cut | The corresponding keyboard accelerator (shortcut).
  parent | This action's parent.
  name | An internal name for this action.

Definition at line 87 of file kactionclasses.cpp.

KToggleAction::KToggleAction | ( | const QString & | text,
|  | const QString & | pix,
|  | const KShortcut & | cut = `KShortcut()`,
|  | QObject * | parent = `0`,
|  | const char * | name = `0`
| ) |  |

Parameters

  text | The text that will be displayed.
  pix | The dynamically loaded icon that goes with this action.
  cut | The corresponding keyboard accelerator (shortcut).
  parent | This action's parent.
  name | An internal name for this action.

Definition at line 95 of file kactionclasses.cpp.

KToggleAction::KToggleAction | ( | const QString & | text,
|  | const QIconSet & | pix,
|  | const KShortcut & | cut,
|  | const QObject * | receiver,
|  | const char * | slot,
|  | QObject * | parent,
|  | const char * | name = `0`
| ) |  |

Parameters

  text | The text that will be displayed.
  pix | The icons that go with this action.
  cut | The corresponding keyboard accelerator (shortcut).
  receiver | The SLOT's parent.
  slot | The SLOT to invoke to execute this action.
  parent | This action's parent.
  name | An internal name for this action.

Definition at line 103 of file kactionclasses.cpp.

KToggleAction::KToggleAction | ( | const QString & | text,
|  | const QString & | pix,
|  | const KShortcut & | cut,
|  | const QObject * | receiver,
|  | const char * | slot,
|  | QObject * | parent,
|  | const char * | name = `0`
| ) |  |

Parameters

  text | The text that will be displayed.
  pix | The dynamically loaded icon that goes with this action.
  cut | The corresponding keyboard accelerator (shortcut).
  receiver | The SLOT's parent.
  slot | The SLOT to invoke to execute this action.
  parent | This action's parent.
  name | An internal name for this action.

Definition at line 113 of file kactionclasses.cpp.

KToggleAction::KToggleAction | ( | QObject * | parent = `0`,
|  | const char * | name = `0`
| ) |  |

Parameters

  parent | This action's parent.
  name | An internal name for this action.

Definition at line 123 of file kactionclasses.cpp.

KToggleAction::~KToggleAction | ( |  | ) |

virtual

Destructor.

Definition at line 129 of file kactionclasses.cpp.

## Member Function Documentation

QString KToggleAction::exclusiveGroup | ( |  | ) | const

Returns
  which "exclusive group" this action is part of.

See also
  setExclusiveGroup

bool KToggleAction::isChecked | ( |  | ) | const

Returns the actual state of the action.

Definition at line 241 of file kactionclasses.cpp.

int KToggleAction::plug | ( | QWidget * | widget,
|  | int | index = `-1`
| ) |  |

virtual

"Plug" or insert this action into a given widget.

This will typically be a menu or a toolbar. From this point on, you will never need to directly manipulate the item in the menu or toolbar. You do all enabling/disabling/manipulation directly with your KToggleAction object.

Parameters

  widget | The GUI element to display this action.
  index | The index of the item.

Reimplemented from KAction.

Reimplemented in KToggleToolBarAction.

Definition at line 135 of file kactionclasses.cpp.

void KToggleAction::setChecked | ( | bool | c | ) |

virtual slot

Sets the state of the action.

Definition at line 162 of file kactionclasses.cpp.

void KToggleAction::setCheckedState | ( | const KGuiItem & | checkedItem | ) |

Defines the text (and icon, tooltip, whatsthis) that should be displayed instead of the normal text, when the action is checked.

This feature replaces the checkmark that usually appears in front of the text, in menus. It is useful when the text is mainly a verb: e.g. "Show <foo>" should turn into "Hide <foo>" when activated.

If hasIcon(), the icon is kept for the 'checked state', unless `checkedItem` defines an icon explicitely. Same thing for tooltip and whatsthis.

Since
  3.3

Definition at line 256 of file kactionclasses.cpp.

void KToggleAction::setExclusiveGroup | ( | const QString & | name | ) |

virtual

Defines which "exclusive group" this action is part of.

In a given exclusive group, only one toggle action can be checked at a any moment. Checking an action unchecks the other actions of the group.

Definition at line 246 of file kactionclasses.cpp.

QString KToggleAction::toolTip | ( |  | ) | const

virtual

Reimplemented for internal reasons.

Reimplemented from KAction.

Definition at line 262 of file kactionclasses.cpp.

The documentation for this class was generated from the following files:

- kactionclasses.h
- kactionclasses.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys